package geneticWedge.gp;

/**This Exception is thrown if a range of values, such as minimum and maximum tree depths are set inappropriately.
For example it would be thrown if minimum > maximum or if either value were negative.*/
public class InvalidRangeException extends Exception
{
	public String getMessage()
	{
		return "Range is invalid. Maximum must be greater than minimum and both must be positive values.";
	}
}