package geneticWedge.gp;

/**Terminal is an abstract class that represents Components that should be used
at leaf nodes within a tree (Individual). Terminals may be fixed values (Constants) or variables (Inputs)*/
public abstract class Terminal extends Component
{
	double value;


	/**Returns the value of this Terminal*/
	public double getValue()
	{
		return value;
	}
}